## refit 0.14

=== libeg/Makefile ===
#
# libeg/Makefile
# Build control file for the libeg library
#

LOCAL_CPPFLAGS  = -I.

OBJS            = screen.o image.o text.o load_bmp.o load_icns.o
TARGET          = libeg.a

all: $(TARGET)

include ../Make.common

# EOF

=== refit/Makefile ===
#
# refit/Makefile
# Build control file for the rEFIt boot menu
#

LOCAL_CPPFLAGS  = -I. -I../include -I../libeg
LOCAL_LDFLAGS   = -L../libeg
LOCAL_LIBS      = -leg

OBJS            = main.o config.o menu.o screen.o icns.o lib.o
TARGET          = refit.efi

all: $(TARGET)

include ../Make.common

# EOF

=== debian/changelog ===
refit (0.14-2ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Create gptsync-udeb.
    - Build with -fno-stack-protector on Ubuntu.
  * Drop Ubuntu change to build-depend on syslinux rather than
    syslinux-common, since we have syslinux-common in our archive now.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 13:09:10 +0100

refit (0.14-2) unstable; urgency=low

  * debian/control:
    + Bump gnu-efi build-dep to 3.0i-3.

  * debian/patches/x64_no_optim.patch:
    + Removed; no longer needed as optimization wasn't the issue.

 -- Julien BLACHE <jblache@debian.org>  Wed, 05 May 2010 18:21:55 +0200

refit (0.14-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Remove dpatch build-dep.
    + Drop ${shlibs:Depends} for refit.
    + Add ${misc:Depends}.
  * debian/rules:
    + Remove dpatch code.
    + Don't run dh_shlibdeps on refit.

  * debian/patches/efi_call_wrappers.patch:
    + Added; introduce new refit_callX_wrapper() macros.

  * EFI call wrapper patches:
    + Rewritten to use the refit_callX_wrapper() macros instead of using
      the call wrapper directly; turns out the arguments need to be UINT64
      for the call wrapper to work properly. Fixes random failures and
      missing images on X64.

  * All patches refreshed, tagged with DEP-3 fields.

 -- Julien BLACHE <jblache@debian.org>  Wed, 21 Apr 2010 18:11:08 +0200

refit (0.13-11) unstable; urgency=low

  * debian/control:
    + Bump gnu-efi build-dep, as we need a version of gnu-efi built without
      optimization for x64 builds; see below.

  * debian/patches/13_x64_no_optim.dpatch:
    + Added; disable optimization for x64 builds as it looks very much like
      there are issues with the call wrapper and optimized builds, leading to
      weird breakages at runtime.

 -- Julien BLACHE <jblache@debian.org>  Wed, 11 Nov 2009 10:35:00 +0100

refit (0.13-10) unstable; urgency=low

  * debian/patches/23_gptsync_biosboot.dpatch:
    + Updated; remove unwanted hunk.

 -- Julien BLACHE <jblache@debian.org>  Mon, 19 Oct 2009 23:05:29 +0200

refit (0.13-9) unstable; urgency=low

  * debian/patches/23_gptsync_biosboot.dpatch:
    + Updated; fix byte order for GUID data.

 -- Julien BLACHE <jblache@debian.org>  Mon, 19 Oct 2009 22:47:31 +0200

refit (0.13-8) unstable; urgency=low

  * debian/patches/40_disable_EFI110_features.dpatch:
    + Updated; re-enable shutdown menu action now that gnu-efi provides the
      EfiResetShutdown definition and we have a build-dep on a newer gnu-efi
      version for other good reasons.
  * debian/patches/42_refit_uefi_call_wrapper.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Sep 2009 18:09:26 +0200

refit (0.13-7) unstable; urgency=low

  * debian/patches/10_kfreebsd.dpatch:
    + Updated; remove extra LDSCRIPT line.
  * debian/patches/11_fat_binaries_build.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Sep 2009 13:00:26 +0200

refit (0.13-6) unstable; urgency=low

  * debian/patches/10_kfreebsd.dpatch:
    + Added; select appropriate linker script on kfreebsd-amd64.
  * debian/patches/11_fat_binaries_build.dpatch:
    + Renamed, updated.
  * debian/patches/12_debian_version_string.dpatch:
    + Renamed.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Sep 2009 11:37:38 +0200

refit (0.13-5) unstable; urgency=low

  * debian/control:
    + Bump gnu-efi build-dep to 3.0i.
    + Add kfreebsd-amd64 to supported architectures.

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Sep 2009 11:43:22 +0200

refit (0.13-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).

  * debian/patches/23_gptsync_biosboot.dpatch:
    + Map GPT "BIOS Boot Partition" type to MBR type 0xda ("Non-FS data")
      (closes: #545190).

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Sep 2009 19:26:40 +0200

refit (0.13-3ubuntu2) karmic; urgency=low

  * No-change upload to build on amd64 as well (LP: #382184).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Sep 2009 13:31:12 +0100

refit (0.13-3ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Create gptsync-udeb.
  * Revert to build-depending on syslinux; we don't have syslinux-common yet
    (largely because updating syslinux+gfxboot is a time-consuming pain,
    unfortunately).
  * debian/patches/99_no_stack_protector.dpatch:
    - Build with -fno-stack-protector on Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 16:38:39 +0100

refit (0.13-3) unstable; urgency=low

  * debian/patches/10_fat_binaries_build.dpatch:
    + Add -mno-red-zone for x86_64 builds, consistent with gnu-efi.

 -- Julien BLACHE <jblache@debian.org>  Fri, 19 Jun 2009 19:43:07 +0200

refit (0.13-2) unstable; urgency=low

  * debian/control:
    + Build-Depends on syslinux-common instead of syslinux.
    + Bump gnu-efi build-dep to 3.0e-3 implementing the /emul/ia32-linux to
      /usr/lib32 transition.

  * debian/patches/10_fat_binaries_build.dpatch:
    + Look for EFI libraries in /usr/lib32, not /emul/ia32-linux.

 -- Julien BLACHE <jblache@debian.org>  Wed, 17 Jun 2009 16:45:15 +0200

refit (0.13-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).
  * debian/copyright:
    + Update.

  * debian/patches/03_refit_gcc_warning_fix.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_debian_version_string.dpatch:
    + Updated.
  * debian/patches/42_refit_uefi_call_wrapper.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 27 Mar 2009 22:26:51 +0100

refit (0.12-2ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Create gptsync-udeb.
    - debian/patches/10_fat_binaries_build.dpatch:


=== debian/control ===
Source: refit
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5), gnu-efi (>= 3.0i-3), gcc-multilib, syslinux-common, python
Standards-Version: 3.8.4

Package: refit
Architecture: i386 amd64 kfreebsd-amd64
Depends: ${misc:Depends}, gptsync
Description: graphical boot menu for ia32 and x64 EFI systems
 rEFIt is a boot menu and maintenance toolkit for EFI-based (Extensible
 Firmware Interface) machines like the Intel-based Macs. You can use it
 to boot multiple operating systems easily, including triple-boot setups
 with Apple's Boot Camp.

Package: gptsync
Architecture: i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: refit
Description: GPT and MBR partition tables synchronisation tool
 gptsync is a utility to maintain an MBR partition table synchronised with
 a GPT partition table used as reference. The resulting MBR partition table
 can contain up to 4 partitions; extended partitions are not supported.
 .
 An MBR partition table is required to use legacy bootloaders (lilo, grub) on
 EFI-based (Extensible Firmware Interface) machines like the Intel-based Macs.
 gptsync is usually used in combination with the rEFIt boot menu on such
 machines.

Package: gptsync-udeb
Section: debian-installer
Architecture: i386 amd64 kfreebsd-amd64
XB-Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPT and MBR partition tables synchronisation tool

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Debian version
DEBVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f 2)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp 
build-stamp:
	dh_testdir

	# Generate include/syslinux_mbr.h
	chmod +x debian/mbr/mkmbrhdr.py
	debian/mbr/mkmbrhdr.py /usr/lib/syslinux/mbr.bin > include/syslinux_mbr.h

	# Move the AA font in place
	cp -f debian/font/egemb_font.h libeg/

	# Build 32bit EFI applications
	mkdir libeg/build32
	$(MAKE) -C libeg/build32 -f ../Makefile SRCDIR=$(CURDIR)/libeg ARCH=ia32
	mkdir refit/build32
	$(MAKE) -C refit/build32 -f ../Makefile SRCDIR=$(CURDIR)/refit ARCH=ia32 DEBVER="ia32 (Debian $(DEBVER))"
	mkdir gptsync/build32
	$(MAKE) -C gptsync/build32 -f ../Makefile.gnuefi SRCDIR=$(CURDIR)/gptsync ARCH=ia32

	# Build 64bit EFI applications
	mkdir libeg/build64
	$(MAKE) -C libeg/build64 -f ../Makefile SRCDIR=$(CURDIR)/libeg ARCH=x86_64
	mkdir refit/build64
	$(MAKE) -C refit/build64 -f ../Makefile SRCDIR=$(CURDIR)/refit ARCH=x86_64 DEBVER="x86_64 (Debian $(DEBVER))"
	mkdir gptsync/build64
	$(MAKE) -C gptsync/build64 -f ../Makefile.gnuefi SRCDIR=$(CURDIR)/gptsync ARCH=x86_64

	# Assemble fat binaries
	mkdir fat-binaries
	./fatglue.py fat-binaries/refit.efi refit/build32/refit.efi refit/build64/refit.efi
	mkdir fat-binaries/tools
	./fatglue.py fat-binaries/tools/gptsync.efi gptsync/build32/gptsync.efi gptsync/build64/gptsync.efi

	# Build the gptsync command-line utility
	mkdir gptsync/buildux
	$(MAKE) -C gptsync/buildux -f ../Makefile.unix SRCDIR=$(CURDIR)/gptsync

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf libeg/build32 libeg/build64
	rm -rf refit/build32 refit/build64
	rm -rf gptsync/build32 gptsync/build64 gptsync/buildux

	rm -rf fat-binaries

	# Remove the MBR code
	rm -f include/syslinux_mbr.h

	# Remove the AA font
	rm -f libeg/egemb_font.h

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install

	chmod 0644 $(CURDIR)/debian/refit/usr/lib/refit/ia32/*
	chmod 0644 $(CURDIR)/debian/refit/usr/lib/refit/x64/*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -Nrefit
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
